Subject: Re: [[email-masked]: [PATCH] ethernet-bridge: update skb->priority in case forwarded frame has VLAN-header]

From: Patrick McHardy <[email-masked]>
Date: Mon, 07 Mar 2005 19:16:50 +0100

Stephen Hemminger wrote:
>>
>>This small patch does this. Currently vlan_TCI-priority directly
>>mapped to skb->priority, but this looks enough.
> 
> I don't see why the VLAN code doesn't handle this itself. I don't like special
> case layer violations because it becomes a slippery slope with more and
> more additions.

The patch is meant for bridges briging vlan frames without doing
vlan themselves. I agree with you, from the bridge point of view
a vlan header is just as outside of its scope as an IP header,
that's why I proposed to put it in an ebtables target and make
it useable for vlan and IP.

Regards
Patrick